Index: branches/2013/dev_LOCEAN_2013/NEMOGCM/NEMO/OPA_SRC/module_example
===================================================================
--- branches/2013/dev_LOCEAN_2013/NEMOGCM/NEMO/OPA_SRC/module_example	(revision 4146)
+++ branches/2013/dev_LOCEAN_2013/NEMOGCM/NEMO/OPA_SRC/module_example	(revision 4147)
@@ -13,5 +13,5 @@
    !!   'key_example'  :                brief description of the key option
    !!----------------------------------------------------------------------
-   !!   exa_mpl       : liste of module subroutine (caution, never use the
+   !!   exa_mpl       : list of module subroutine (caution, never use the
    !!   exa_mpl_init  : name of the module for a routine)
    !!   exa_mpl_stp   : Please try to use 3 letter block for routine names
@@ -157,13 +157,18 @@
       !!----------------------------------------------------------------------
       INTEGER ::   ji, jj, jk, jit   ! dummy loop indices
+      INTEGER  ::   ios              ! Local integer output status for namelist read
       !!
       NAMELIST/namexa/ exa_v1, exa_v2, nexa_0, sn_ex     
       !!----------------------------------------------------------------------
       !
-      sn_ex%clname ='toto'                      ! set default namelist values
-      sn_ex%nfreqh = 2 
-      !
-      REWIND( numnam )                          ! Read Namelist namexa : example parameters
-      READ  ( numnam, namexa )
+      REWIND( numnam_ref )              ! Namelist namexa in reference namelist : Example
+      READ  ( numnam_ref, namexa, IOSTAT = ios, ERR = 901)
+901   IF( ios /= 0 ) CALL ctl_nam ( ios , 'namexa in reference namelist', lwp )
+
+      REWIND( numnam_cfg )              ! Namelist namexa in configuration namelist : Example
+      READ  ( numnam_cfg, namexa, IOSTAT = ios, ERR = 902 )
+902   IF( ios /= 0 ) CALL ctl_nam ( ios , 'namexa in configuration namelist', lwp )
+   ! Output namelist for control
+      WRITE ( numond, namexa )
       !
       IF(lwp) THEN                              ! Control print
@@ -173,5 +178,5 @@
          WRITE(numout,*) '   Namelist namexa : set example parameters'
          WRITE(numout,*) '      brief desciption               exa_v1  = ', exa_v1
-         WRITE(numout,*) '      brief desciption               exa_v1  = ', exa_v1
+         WRITE(numout,*) '      brief desciption               exa_v2  = ', exa_v2
          WRITE(numout,*) '      brief desciption               nexa_0  = ', nexa_0
          WRITE(numout,*) '      brief desciption          sn_ex%clname = ', sn_ex%clname
Index: branches/2013/dev_LOCEAN_2013/NEMOGCM/NEMO/OPA_SRC/nemogcm.F90
===================================================================
--- branches/2013/dev_LOCEAN_2013/NEMOGCM/NEMO/OPA_SRC/nemogcm.F90	(revision 4146)
+++ branches/2013/dev_LOCEAN_2013/NEMOGCM/NEMO/OPA_SRC/nemogcm.F90	(revision 4147)
@@ -118,4 +118,5 @@
       !!----------------------------------------------------------------------
       !
+
 #if defined key_agrif
       CALL Agrif_Init_Grids()      ! AGRIF: set the meshes
@@ -135,4 +136,5 @@
 # endif
 #endif
+
       ! check that all process are still there... If some process have an error,
       ! they will never enter in step and other processes will wait until the end of the cpu time!
@@ -161,4 +163,5 @@
 
          DO WHILE ( istp <= nitend .AND. nstop == 0 )
+
 #if defined key_agrif
             CALL Agrif_Step( stp )           ! AGRIF: time stepping
@@ -166,4 +169,5 @@
             CALL stp( istp )                 ! standard time stepping
 #endif
+
             istp = istp + 1
             IF( lk_mpp )   CALL mpp_max( nstop )
@@ -218,17 +222,54 @@
       INTEGER ::   ji            ! dummy loop indices
       INTEGER ::   ilocal_comm   ! local integer
+      INTEGER ::   ios
       CHARACTER(len=80), DIMENSION(16) ::   cltxt
       !!
-      NAMELIST/namctl/ ln_ctl  , nn_print, nn_ictls, nn_ictle,   &
+      NAMELIST/namctl/ ln_ctl, nn_print, nn_ictls, nn_ictle,   &
          &             nn_isplt, nn_jsplt, nn_jctls, nn_jctle,   &
          &             nn_bench, nn_timing
+      NAMELIST/namcfg/ cp_cfg, cp_cfz, jp_cfg, jpidta, jpjdta, jpkdta, jpiglo, jpjglo, &
+         &             jpizoom, jpjzoom, jperio
       !!----------------------------------------------------------------------
       !
       cltxt = ''
       !
-      !                             ! open Namelist file
-      CALL ctl_opn( numnam, 'namelist', 'OLD', 'FORMATTED', 'SEQUENTIAL', -1, 6, .FALSE. )
-      !
-      READ( numnam, namctl )        ! Namelist namctl : Control prints & Benchmark
+      !                             ! Open reference namelist and configuration namelist files
+      CALL ctl_opn( numnam_ref, 'namelist_ref', 'OLD', 'FORMATTED', 'SEQUENTIAL', -1, 6, .FALSE. )
+      CALL ctl_opn( numnam_cfg, 'namelist_cfg', 'OLD', 'FORMATTED', 'SEQUENTIAL', -1, 6, .FALSE. )
+      CALL ctl_opn( numond, 'output.namelist.dyn', 'REPLACE', 'FORMATTED', 'SEQUENTIAL', -1, 6, .FALSE. )
+      !
+      REWIND( numnam_ref )              ! Namelist namctl in reference namelist : Control prints & Benchmark
+      READ  ( numnam_ref, namctl, IOSTAT = ios, ERR = 901 )
+901   IF( ios /= 0 ) CALL ctl_nam ( ios , 'namctl in reference namelist', lwp )
+
+      REWIND( numnam_cfg )              ! Namelist namctl in confguration namelist : Control prints & Benchmark
+      READ  ( numnam_cfg, namctl, IOSTAT = ios, ERR = 902 )
+902   IF( ios /= 0 ) CALL ctl_nam ( ios , 'namctl in configuration namelist', lwp )
+      WRITE( numond, namctl )
+
+      !
+      REWIND( numnam_ref )              ! Namelist namcfg in reference namelist : Control prints & Benchmark
+      READ  ( numnam_ref, namcfg, IOSTAT = ios, ERR = 903 )
+903   IF( ios /= 0 ) CALL ctl_nam ( ios , 'namcfg in reference namelist', lwp )
+
+      REWIND( numnam_cfg )              ! Namelist namcfg in confguration namelist : Control prints & Benchmark
+      READ  ( numnam_cfg, namcfg, IOSTAT = ios, ERR = 904 )
+904   IF( ios /= 0 ) CALL ctl_nam ( ios , 'namcfg in configuration namelist', lwp )   
+      WRITE( numond, namcfg )
+! Force values for AGRIF zoom (cf. agrif_user.F90)
+#if defined key_agrif
+   IF( .NOT. Agrif_Root() ) THEN
+      jpiglo  = nbcellsx + 2 + 2*nbghostcells
+      jpjglo  = nbcellsy + 2 + 2*nbghostcells
+      jpi     = ( jpiglo-2*jpreci + (jpni-1+0) ) / jpni + 2*jpreci
+      jpj     = ( jpjglo-2*jprecj + (jpnj-1+0) ) / jpnj + 2*jprecj
+      jpidta  = jpiglo
+      jpjdta  = jpjglo
+      jpizoom = 1
+      jpjzoom = 1
+      nperio  = 0
+      jperio  = 0
+   ENDIF
+#endif
       !
       !                             !--------------------------------------------!
@@ -244,5 +285,5 @@
 # endif
       ENDIF
-      narea = mynode( cltxt, numnam, nstop, ilocal_comm )   ! Nodes selection
+      narea = mynode( cltxt, numnam_ref, numnam_cfg, numond , nstop, ilocal_comm )   ! Nodes selection
 #else
 # if defined key_oasis3 || defined key_oasis4
@@ -250,8 +291,8 @@
          CALL cpl_prism_init( ilocal_comm )                 ! nemo local communicator given by oasis
       ENDIF
-      narea = mynode( cltxt, numnam, nstop, ilocal_comm )   ! Nodes selection (control print return in cltxt)
+      narea = mynode( cltxt, numnam_ref, numnam_cfg, numond , nstop, ilocal_comm )   ! Nodes selection (control print return in cltxt)
 # else
       ilocal_comm = 0
-      narea = mynode( cltxt, numnam, nstop )                 ! Nodes selection (control print return in cltxt)
+      narea = mynode( cltxt, numnam_ref, numnam_cfg, numond , nstop )                 ! Nodes selection (control print return in cltxt)
 # endif
 #endif
@@ -283,4 +324,5 @@
          jpj = ( jpjglo-2*jprecj + (jpnj-1) ) / jpnj + 2*jprecj   ! second dim.
 #endif
+      ENDIF
          jpk = jpkdta                                             ! third dim
          jpim1 = jpi-1                                            ! inner domain indices
@@ -288,5 +330,4 @@
          jpkm1 = jpk-1                                            !   "           "
          jpij  = jpi*jpj                                          !  jpi x j
-      ENDIF
 
       IF(lwp) THEN                            ! open listing units
@@ -350,6 +391,9 @@
                             CALL     sbc_init   ! Forcings : surface module
       !                                         ! Vertical physics
+
                             CALL     zdf_init      ! namelist read
+
                             CALL zdf_bfr_init      ! bottom friction
+
       IF( lk_zdfric     )   CALL zdf_ric_init      ! Richardson number dependent Kz
       IF( lk_zdftke     )   CALL zdf_tke_init      ! TKE closure scheme
@@ -382,12 +426,14 @@
 
       !                                     ! Misc. options
-      IF( nn_cla == 1   )   CALL cla_init       ! Cross Land Advection
+      IF( nn_cla == 1 .AND. cp_cfg == 'orca' .AND. jp_cfg == 2 )   CALL cla_init       ! Cross Land Advection
                             CALL icb_init( rdt, nit000)   ! initialise icebergs instance
-      
+     
 #if defined key_top
       !                                     ! Passive tracers
                             CALL     trc_init
 #endif
-      !                                     ! Diagnostics
+      !
+ 
+                                            ! Diagnostics
       IF( lk_floats     )   CALL     flo_init   ! drifting Floats
       IF( lk_diaar5     )   CALL dia_ar5_init   ! ar5 diag
@@ -441,4 +487,22 @@
       jsplt     = nn_jsplt
       nbench    = nn_bench
+
+      IF(lwp) THEN                  ! control print
+         WRITE(numout,*)
+         WRITE(numout,*) 'namcfg  : configuration initialization through namelist read'
+         WRITE(numout,*) '~~~~~~~ '
+         WRITE(numout,*) '   Namelist namcfg'
+         WRITE(numout,*) '      configuration name              cp_cfg      = ', TRIM(cp_cfg)
+         WRITE(numout,*) '      configuration zoom name         cp_cfz      = ', TRIM(cp_cfz)
+         WRITE(numout,*) '      configuration resolution        jp_cfg      = ', jp_cfg
+         WRITE(numout,*) '      1st lateral dimension ( >= jpi ) jpidta     = ', jpidta
+         WRITE(numout,*) '      2nd    "         "    ( >= jpj ) jpjdta     = ', jpjdta
+         WRITE(numout,*) '      3nd    "         "               jpkdta     = ', jpkdta
+         WRITE(numout,*) '      1st dimension of global domain in i jpiglo  = ', jpiglo
+         WRITE(numout,*) '      2nd    -                  -    in j jpjglo  = ', jpjglo
+         WRITE(numout,*) '      left bottom i index of the zoom (in data domain) jpizoom = ', jpizoom
+         WRITE(numout,*) '      left bottom j index of the zoom (in data domain) jpizoom = ', jpjzoom
+         WRITE(numout,*) '      lateral cond. type (between 0 and 6) jperio = ', jperio   
+      ENDIF
       !                             ! Parameter control
       !
@@ -484,5 +548,5 @@
          CASE ( 'gyre' )   ;   CALL ctl_warn( ' The Benchmark is activated ' )
          CASE DEFAULT      ;   CALL ctl_stop( ' The Benchmark is based on the GYRE configuration:',   &
-            &                                 ' key_gyre must be used or set nbench = 0' )
+            &                                 ' cp_cfg = "gyre" in namelist &namcfg or set nbench = 0' )
          END SELECT
       ENDIF
@@ -510,13 +574,17 @@
       CALL iom_close                                 ! close all input/output files managed by iom_*
       !
-      IF( numstp      /= -1 )   CLOSE( numstp      )   ! time-step file
-      IF( numsol      /= -1 )   CLOSE( numsol      )   ! solver file
-      IF( numnam      /= -1 )   CLOSE( numnam      )   ! oce namelist
-      IF( numnam_ice  /= -1 )   CLOSE( numnam_ice  )   ! ice namelist
-      IF( numevo_ice  /= -1 )   CLOSE( numevo_ice  )   ! ice variables (temp. evolution)
-      IF( numout      /=  6 )   CLOSE( numout      )   ! standard model output file
-      IF( numdct_vol  /= -1 )   CLOSE( numdct_vol  )   ! volume transports
-      IF( numdct_heat /= -1 )   CLOSE( numdct_heat )   ! heat transports
-      IF( numdct_salt /= -1 )   CLOSE( numdct_salt )   ! salt transports
+      IF( numstp          /= -1 )   CLOSE( numstp          )   ! time-step file
+      IF( numsol          /= -1 )   CLOSE( numsol          )   ! solver file
+      IF( numnam_ref      /= -1 )   CLOSE( numnam_ref      )   ! oce reference namelist
+      IF( numnam_cfg      /= -1 )   CLOSE( numnam_cfg      )   ! oce configuration namelist
+      IF( numond          /= -1 )   CLOSE( numond          )   ! oce output namelist
+      IF( numnam_ice_ref  /= -1 )   CLOSE( numnam_ice_ref  )   ! ice reference namelist
+      IF( numnam_ice_cfg  /= -1 )   CLOSE( numnam_ice_cfg  )   ! ice configuration namelist
+      IF( numoni          /= -1 )   CLOSE( numoni          )   ! ice output namelist
+      IF( numevo_ice      /= -1 )   CLOSE( numevo_ice      )   ! ice variables (temp. evolution)
+      IF( numout          /=  6 )   CLOSE( numout          )   ! standard model output file
+      IF( numdct_vol      /= -1 )   CLOSE( numdct_vol      )   ! volume transports
+      IF( numdct_heat     /= -1 )   CLOSE( numdct_heat     )   ! heat transports
+      IF( numdct_salt     /= -1 )   CLOSE( numdct_salt     )   ! salt transports
 
       !
Index: branches/2013/dev_LOCEAN_2013/NEMOGCM/NEMO/OPA_SRC/par_oce.F90
===================================================================
--- branches/2013/dev_LOCEAN_2013/NEMOGCM/NEMO/OPA_SRC/par_oce.F90	(revision 4146)
+++ branches/2013/dev_LOCEAN_2013/NEMOGCM/NEMO/OPA_SRC/par_oce.F90	(revision 4147)
@@ -25,135 +25,38 @@
    INTEGER, PUBLIC, PARAMETER ::   jprecj = 1   !: number of rows    for overlap 
 
-   !! Ocean Domain sizes
-   !! ------------------
-   !!   data           domain   (jpidta,jpjdta)
-   !!   global or zoom domain   (jpiglo,jpjglo)
-   !!   local          domain   ( jpi  , jpj  )
-   
-#if   defined key_orca_r4
-   !!---------------------------------------------------------------------
-   !!   'key_orca_r4'   :                           global ocean : ORCA R4
-   !!---------------------------------------------------------------------
-#             include "par_ORCA_R4.h90"
-#elif defined key_orca_r2
-   !!---------------------------------------------------------------------
-   !!   'key_orca_r2'   :                           global ocean : ORCA R4
-   !!---------------------------------------------------------------------
-#             include "par_ORCA_R2.h90"
-#elif defined key_orca_r1
-   !!---------------------------------------------------------------------
-   !!   'key_orca_r1'   :                           global ocean : ORCA R1
-   !!---------------------------------------------------------------------
-#             include "par_ORCA_R1.h90"
-#elif defined key_orca_r05
-   !!---------------------------------------------------------------------
-   !!   'key_orca_r05'  :                          global ocean : ORCA R05
-   !!---------------------------------------------------------------------
-#             include "par_ORCA_R05.h90"
-#elif defined key_orca_r025
-   !!---------------------------------------------------------------------
-   !!   'key_orca_r025' :                         global ocean : ORCA R025
-   !!---------------------------------------------------------------------
-#             include "par_ORCA_R025.h90"
-#elif defined key_eel_r2
-   !!---------------------------------------------------------------------
-   !!   'key_eel_r2'    :                                 channel : EEL R2
-   !!---------------------------------------------------------------------
-#             include "par_EEL_R2.h90"
-#elif defined key_eel_r5
-   !!---------------------------------------------------------------------
-   !!   'key_eel_r5'    :                                 channel : EEL R5
-   !!---------------------------------------------------------------------
-#             include "par_EEL_R5.h90"
-#elif defined key_eel_r6
-   !!---------------------------------------------------------------------
-   !!   'key_eel_r6'    :                                 channel : EEL R6
-   !!---------------------------------------------------------------------
-#             include "par_EEL_R6.h90"
-#elif defined key_gyre
-   !!---------------------------------------------------------------------
-   !!   'key_gyre'      :                        mid-latitude basin : GYRE
-   !!---------------------------------------------------------------------
-#             include "par_GYRE.h90"
-#elif defined key_pomme_r025
-   !!---------------------------------------------------------------------
-   !!   'key_pomme_r025':                        regional basin : POMME025
-   !!---------------------------------------------------------------------
-#             include "par_POMME_R025.h90"
-#elif defined key_amm_12km
-   !!---------------------------------------------------------------------
-   !!   'key_amm_12km':                    Atlantic Margin Model : AMM12km 
-   !!---------------------------------------------------------------------
-#             include "par_AMM_12km.h90"
-#else
-   !!---------------------------------------------------------------------
-   !!   default option  :                               small closed basin
-   !!---------------------------------------------------------------------
-   CHARACTER(len=16), PUBLIC, PARAMETER ::   cp_cfg = "default"   !: name of the configuration
-   INTEGER          , PUBLIC, PARAMETER ::   jp_cfg = 0           !: resolution of the configuration
+   !!----------------------------------------------------------------------
+   !!                   namcfg namelist parameters
+   !!----------------------------------------------------------------------
+   CHARACTER(lc) ::   cp_cfg           !: name of the configuration
+   CHARACTER(lc) ::   cp_cfz           !: name of the zoom of configuration
+   INTEGER       ::   jp_cfg           !: resolution of the configuration
 
    ! data size                                       !!! * size of all input files *
-   INTEGER, PUBLIC, PARAMETER ::   jpidta  = 10       !: 1st lateral dimension ( >= jpi )
-   INTEGER, PUBLIC, PARAMETER ::   jpjdta  = 12       !: 2nd    "         "    ( >= jpj )
-   INTEGER, PUBLIC, PARAMETER ::   jpkdta  = 31       !: number of levels      ( >= jpk )
+   INTEGER       ::   jpidta           !: 1st lateral dimension ( >= jpi )
+   INTEGER       ::   jpjdta           !: 2nd    "         "    ( >= jpj )
+   INTEGER       ::   jpkdta           !: number of levels      ( >= jpk )
 
    ! global or zoom domain size                      !!! * computational domain *
-   INTEGER, PUBLIC, PARAMETER ::   jpiglo  = jpidta   !: 1st dimension of global domain --> i
-   INTEGER, PUBLIC, PARAMETER ::   jpjglo  = jpjdta   !: 2nd    -                  -    --> j
+   INTEGER       ::   jpiglo           !: 1st dimension of global domain --> i
+   INTEGER       ::   jpjglo           !: 2nd    -                  -    --> j
 
    ! zoom starting position 
-   INTEGER, PUBLIC, PARAMETER ::   jpizoom =   1      !: left bottom (i,j) indices of the zoom
-   INTEGER, PUBLIC, PARAMETER ::   jpjzoom =   1      !: in data domain indices
+   INTEGER       ::   jpizoom          !: left bottom (i,j) indices of the zoom
+   INTEGER       ::   jpjzoom          !: in data domain indices
 
    ! Domain characteristics
-   INTEGER, PUBLIC, PARAMETER ::   jperio  =  0       !: lateral cond. type (between 0 and 6)
-   !                                                  !  = 0 closed                 ;   = 1 cyclic East-West
-   !                                                  !  = 2 equatorial symmetric   ;   = 3 North fold T-point pivot
-   !                                                  !  = 4 cyclic East-West AND North fold T-point pivot
-   !                                                  !  = 5 North fold F-point pivot
-   !                                                  !  = 6 cyclic East-West AND North fold F-point pivot
+   INTEGER       ::   jperio           !: lateral cond. type (between 0 and 6)
+   !                                       !  = 0 closed                 ;   = 1 cyclic East-West
+   !                                       !  = 2 equatorial symmetric   ;   = 3 North fold T-point pivot
+   !                                       !  = 4 cyclic East-West AND North fold T-point pivot
+   !                                       !  = 5 North fold F-point pivot
+   !                                       !  = 6 cyclic East-West AND North fold F-point pivot
 
    !!  Values set to pp_not_used indicates that this parameter is not used in THIS config.
    !!  Values set to pp_to_be_computed  indicates that variables will be computed in domzgr
-   REAL(wp), PUBLIC, PARAMETER ::   pp_not_used       = 999999._wp   !: vertical grid parameter
-   REAL(wp), PUBLIC, PARAMETER ::   pp_to_be_computed = 999999._wp   !:    -      -       -
+   REAL(wp)      ::   pp_not_used       = 999999._wp   !: vertical grid parameter
+   REAL(wp)      ::   pp_to_be_computed = 999998._wp   !:    -      -       -
 
 
-   !! Horizontal grid parameters for domhgr
-   !! =====================================
-   INTEGER, PUBLIC, PARAMETER  ::   jphgr_msh = 0   !: type of horizontal mesh
-   !                                                !  = 0 curvilinear coordinate on the sphere read in coordinate.nc
-   !                                                !  = 1 geographical mesh on the sphere with regular grid-spacing
-   !                                                !  = 2 f-plane with regular grid-spacing
-   !                                                !  = 3 beta-plane with regular grid-spacing
-   !                                                !  = 4 Mercator grid with T/U point at the equator
-
-   REAL(wp) , PUBLIC, PARAMETER ::   ppglam0  =    0.0_wp   !: longitude of first raw and column T-point (jphgr_msh = 1)
-   REAL(wp) , PUBLIC, PARAMETER ::   ppgphi0  =  -35.0_wp   !: latitude  of first raw and column T-point (jphgr_msh = 1)
-   !                                                        !  used for Coriolis & Beta parameters (jphgr_msh = 2 or 3)
-   REAL(wp) , PUBLIC, PARAMETER ::   ppe1_deg =    1.0_wp   !: zonal      grid-spacing (degrees)
-   REAL(wp) , PUBLIC, PARAMETER ::   ppe2_deg =    0.5_wp   !: meridional grid-spacing (degrees)
-   REAL(wp) , PUBLIC, PARAMETER ::   ppe1_m   = 5000.0_wp   !: zonal      grid-spacing (degrees)
-   REAL(wp) , PUBLIC, PARAMETER ::   ppe2_m   = 5000.0_wp   !: meridional grid-spacing (degrees)
-
-   !! Vertical grid parameter for domzgr
-   !! ==================================
-   REAL(wp), PUBLIC, PARAMETER ::   ppsur = -4762.96143546300_wp   !: ORCA r4, r2 and r05 coefficients
-   REAL(wp), PUBLIC, PARAMETER ::   ppa0  =   255.58049070440_wp   !: (default coefficients)
-   REAL(wp), PUBLIC, PARAMETER ::   ppa1  =   245.58132232490_wp   !:
-   REAL(wp), PUBLIC, PARAMETER ::   ppkth =    21.43336197938_wp   !:
-   REAL(wp), PUBLIC, PARAMETER ::   ppacr =     3.00000000000_wp   !:
-   !
-   !  If both ppa0 ppa1 and ppsur are specified to 0, then
-   !  they are computed from ppdzmin, pphmax , ppkth, ppacr in dom_zgr
-   REAL(wp), PUBLIC, PARAMETER ::   ppdzmin = 10._wp     !: Minimum vertical spacing
-   REAL(wp), PUBLIC, PARAMETER ::   pphmax  = 5000._wp   !: Maximum depth
-   !
-   LOGICAL , PUBLIC, PARAMETER ::   ldbletanh = .TRUE.   !: Use/do not use double tanf function for vertical coordinates
-   REAL(wp), PUBLIC, PARAMETER ::   ppa2  =   100.760928500000_wp   !: Double tanh function parameters
-   REAL(wp), PUBLIC, PARAMETER ::   ppkth2=    48.029893720000_wp   !:
-   REAL(wp), PUBLIC, PARAMETER ::   ppacr2=    13.000000000000_wp   !:
-   !
-#endif
 
 
Index: branches/2013/dev_LOCEAN_2013/NEMOGCM/NEMO/OPA_SRC/step.F90
===================================================================
--- branches/2013/dev_LOCEAN_2013/NEMOGCM/NEMO/OPA_SRC/step.F90	(revision 4146)
+++ branches/2013/dev_LOCEAN_2013/NEMOGCM/NEMO/OPA_SRC/step.F90	(revision 4147)
@@ -81,6 +81,8 @@
 # endif
 #endif
+
                              indic = 0                ! reset to no error condition
       IF( kstp == nit000 )   CALL iom_init            ! iom_put initialization (must be done after nemo_init for AGRIF+XIOS+OASIS)
+
       IF( kstp /= nit000 )   CALL day( kstp )         ! Calendar (day was already called at nit000 in day_init)
                              CALL iom_setkt( kstp - nit000 + 1 )   ! say to iom that we are at time step kstp
@@ -90,4 +92,5 @@
       !<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<
                          CALL sbc    ( kstp )         ! Sea Boundary Condition (including sea-ice)
+
       IF( lk_tide.AND.(kstp /= nit000 ))   CALL tide_init ( kstp )
       IF( lk_tide    )   CALL sbc_tide( kstp )
@@ -251,5 +254,9 @@
                                CALL dia_wri_state( 'output.abort', kstp )
       ENDIF
-      IF( kstp == nit000   )   CALL iom_close( numror )     ! close input  ocean restart file
+      IF( kstp == nit000   )   THEN
+         CALL iom_close( numror )     ! close input  ocean restart file
+         CALL FLUSH    ( numond )     ! flush output namelist oce
+         CALL FLUSH    ( numoni )     ! flush output namelist ice    
+      ENDIF
       IF( lrst_oce         )   CALL rst_write    ( kstp )   ! write output ocean restart file
       IF( lk_obc           )   CALL obc_rst_write( kstp )   ! write open boundary restart file
